SFDISK(8)

NOM
sfdisk - Afficher ou manipuler une table de partitions de disque

SYNOPSIS
sfdisk [options] périphérique [-N numéro-partition]

sfdisk [options] commande

DESCRIPTION
sfdisk est un outil orienté script pour le partitionnement de n’importe quel périphérique bloc.

Depuis la version 2.26, sfdisk prend en charge les étiquettes de disque MBR (DOS), GPT, SUN et SGI, mais ne fournit plus de fonctionnalité pour l’adressage CTS (cylindre tête secteur). CTS n’a jamais été important pour Linux et ce concept d’adressage n’a aucun sens pour les nouveaux périphériques.

sfdisk (depuis la version 2.26) aligne les début et fin de partitions aux limites d’entrée et sortie du périphérique bloc quand des tailles relatives sont indiquées, ou quand les valeurs par défaut sont utilisées.

sfdisk ne crée pas les partitions système standards pour les étiquettes de disque SGI et SUN comme fdisk(8) le fait. Créer explicitement toutes les partitions est nécessaire, y compris les partitions système sur disque complet.

COMMANDES
Les commandes sont mutuellement exclusives.

[-N numéro-partition] périphérique
    La commande sfdisk par défaut est de lire les indications de partitionnement désiré de périphérique à partir de l'entrée standard, puis de créer une table de partitions conforme aux indications. Une description du format d’entrée est disponible ci-dessous. Si l’entrée standard est un terminal, sfdisk démarre une session interactive.

    Si l’option -N est indiquée, les modifications sont appliquées à la partition indiquée par numéro-partition. Les champs non renseignés de la partition ne sont pas modifiés.

    Remarquez qu’indiquer des partitions non utilisées est possible avec -N. Par exemple, MBR contient toujours quatre partitions, mais le nombre de partitions utilisées peut être plus petit. Dans ce cas, sfdik suit les valeurs par défaut de la table de partitions et n’utilise pas les valeurs par défaut intégrées pour la partition non utilisée indiquée par -N. Consultez aussi --append.

-A, --activate périphérique [numéro-partition] ...
    Activer l’attribut d'amorçage. Si aucun numéro-partition n’est indiqué, alors toutes les partitions avec un attribut activé sont affichées.

-d, --dump périphérique
    Produire les partitions d'un périphérique dans un format utilisable en entrée pour sfdisk. Consultez la section SAUVEGARDER LA TABLE DE PARTITIONS.

-g, --show-geometry [périphérique ...]
    Afficher la géométrie de tout ou des périphériques indiqués.

-l, --list [périphérique ...]
    Afficher les partitions de tout ou des périphériques indiqués. Cette commande peut être utilisée avec --verify.

--part-attrs périphérique numéro-partition [attributs]
    Modifier les bits d’attribut de partition GPT. Si attributs n’est pas indiqué, afficher les réglages de la partition actuelle. L’argument attributs est une liste de bits séparés par des virgules ou des espaces. Les bits d’attributs actuellement pris en charge sont : RequiredPartiton, NoBlockIOProtocol, LegacyBIOSBootable et les bits spécifiques à GUID dans l’intervalle de 48 à 63. Par exemple, « RequiredPartiton,50,51 » définit trois bits.

--part-label périphérique numéro-partition [étiquette]
    Modifier le nom de partition GPT (étiquette). Si l’étiquette n’est pas indiquée, afficher l’étiquette de la partition actuelle.

--part-type périphérique numéro-partition [type]
    Modifier le type de partition. Si type n’est pas indiqué, afficher le type de la partition actuelle. L’argument type est hexadécimal pour MBR ou un GUID pour GPT. Pour la compatibilité ascendante, les options -c et --id ont la même signification.

--part-uuid périphérique numéro-partition [UUID]
    Modifier l’UUID de partition GPT. Si l’UUID n’est pas indiqué, afficher l’UUID de la partition actuelle.

-s, --show-size [périphérique ...]
    Afficher les tailles de tout ou des périphériques indiqués.

-T, --list-types
    Afficher tous les types pris en charge pour l’étiquette de disque actuel ou l’étiquette indiquée par --label.

-V, --verify
    Vérifier si la table de partitions et les partitions semblent correctes.

OPTIONS

-a, --append
    Ne pas créer de nouvelle table de partitions, mais n’ajouter que les partitions indiquées.

-b, --backup
    Sauvegarder les secteurs de la table de partitions actuelle avant de commencer le partitionnement. Le nom de fichier de sauvegarde par défaut est ~/sfdisk-périphérique-position.bak ; pour utiliser un autre nom, consultez --backup-file.

--color[=quand]
    Colorer la sortie. L’argument facultatif quand peut être auto, never ou always. En absence d’argument quand, auto est la valeur par défaut. Les couleurs peuvent être désactivées. Pour les valeurs par défaut, consultez la sortie de la commande avec --help. Consultez également la section COULEURS.

-f, --force
    Désactiver tous les contrôles d’intégrité.

--Linux
    Option obsolète et ignorée. Le partitionnement compatible avec Linux (et autres systèmes d’exploitation modernes) est celui par défaut.

-n, --no-act
    Tout faire sauf écrire sur le périphérique.

--no-reread
    Ne pas vérifier par l’intermédiaire de l’ioctl re-read-partition-table si le périphérique est utilisé.

-O, --backup-file chemin
    Écraser le nom de fichier de sauvegarde par défaut. Remarquez que le nom de périphérique et la position sont toujours ajoutés au nom de fichier.

-o, --output liste
    Indiquer les colonnes à afficher. Utilisez --help pour obtenir une liste de toutes les colonnes disponibles.

    La liste de colonnes par défaut peut être étendue si liste est indiquée sous la forme +liste (par exemple, -o +UUID).

-q, --quiet
    Supprimer les messages d’information supplémentaires.

-u, --unit S
    Option obsolète. Seul l’unité secteur est prise en charge.

-X, --label type
    Indiquer le type d’étiquette disque (par exemple, dos, gpt, etc.). Si cette option n’est pas donnée, alors sfdisk utilise par défaut l’étiquette existante, mais en absence d’étiquette sur le périphérique, alors le type par défaut est dos.

-Y, --label-nested type
    Forcer la modification d’une étiquette de disque imbriqué. L’étiquette de disque primaire doit déjà exister. Cette option permet d’éditer par exemple un MBR hybride ou de protection (« protective ») sur les périphériques avec GPT.

-v, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

FORMATS D'ENTRÉE
sfdisk permet d’utiliser deux formats d’entrée et des lignes d’en-tête générique.

Lignes d’en-tête
    Les lignes de l’en-tête facultatif indiquent des renseignements génériques qui s’appliquent à la table de partitions. Le format de ligne d’en-tête est :

        nom: valeur

    Les en-têtes actuellement reconnus sont :

        unit
            Indiquer l’unité de partitionnement. La seule unité acceptée est sectors.

        label
            Indiquer le type de table de partitions. Par exemple dos ou gpt.

        label-id
            Indiquer l’identifiant de table de partitions. Ce devrait être un nombre hexadécimal (avec un préfixe de « 0x ») pour MBR et un UUID pour GPT.

    Remarquez qu’il n’est possible d’utiliser des lignes d’en-tête qu’avant d’indiquer la première partition en entrée.

Format des champs non nommés

        début taille type amorçable

    où chaque ligne remplit un descripteur de partition.

    Les champs sont séparés par des caractères d'espacement, des virgules ou des points-virgules éventuellement suivis par des caractères d'espacement ; les caractères d'espacement initiaux et finaux sont ignorés. Les nombres peuvent être octaux, décimaux ou hexadécimaux (représentation décimale par défaut). Quand un champ est absent ou vide, une valeur par défaut est utilisée. Quand l’option -N (modifier une seule partition) est donnée, la valeur par défaut de chaque champ est sa valeur précédente.

    La valeur par défaut de début est le premier secteur non assigné aligné conformément aux limites d’entrée et sortie du périphérique. La position de début par défaut pour la première partition est 1 Mio. La position peut être suivie des suffixes multiplicateurs (KiB, MiB, GiB, TiB, PiB, EiB, ZiB et YiB), dans ce cas le nombre est interprété comme une position en octet.

    La valeur par défaut de taille est autant que possible (jusqu’à la prochaine partition ou la fin du périphérique). Un « + » peut être utilisé à la place d’un nombre pour la taille, ce qui signifie aussi autant que possible. Cette taille peut être suivie des suffixes multiplicateurs (KiB, MiB, GiB, TiB, PiB, EiB, ZiB et YiB), dans ce cas le nombre est interprété comme une taille de partition en octet, puis la taille est alignée conformément aux limites d’entrée et sortie du périphérique. Par défaut, le nombre est interprété comme un nombre de secteurs.

    Le type de partition est donné en hexadécimal pour MBR (DOS), sans le préfixe « 0x », une chaîne de GUID pour GPT, ou un raccourci :

        L   Linux ; signifie 83 pour MBR et 0FC63DAF-8483-4772-8E79-3D69D8477DE4 pour GPT.

        S   zone d'échange (swap) ; signifie 82 pour MBR et 0657FD6D-A4AB-43C4-84E5-0933C84B4F4F pour GPT.

        E   partition étendue ; signifie 5 pour MBR.

        H   partition personnelle ; signifie 933AC7E1-2EB4-4F13-B844-0E14E2AEF915 pour GPT.

        X   partition étendue Linux ; signifie 85 pour MBR.

    amorçable est indiqué par [*|-] (non amorçable par défaut). La valeur de ce champ n'a pas d'importance pour Linux — quand Linux fonctionne, il a déjà été amorcé — mais pourrait jouer un rôle pour certains gestionnaires de démarrage ou pour d'autres systèmes d'exploitation.

Format des champs nommés
    Ce format est plus lisible, robuste, extensible et permet d’indiquer des renseignements supplémentaires (par exemple un UUID). C’est le format conseillé pour garder les scripts lisibles.

        [périphérique :] nom[=valeur], ...

    Le champ périphérique est facultatif. sfdisk extrait le numéro de partition du nom de périphérique. Cela permet d’indiquer les partitions dans un ordre quelconque. Cette fonctionnalité est surtout utilisée par --dump. En cas de doute, ne l’utilisez pas.

    La valeur peut être entre guillemets (par exemple, name="Ceci est un nom de partition"). Les champs actuellement pris en charge sont :

        start=nombre
            Le premier secteur non assigné aligné conformément aux limites d’entrée et sortie du périphérique. La position de début par défaut pour la première partition est 1 Mio. La position peut être suivie des suffixes multiplicateurs (KiB, MiB, GiB, TiB, PiB, EiB, ZiB et YiB), dans ce cas le nombre est interprété comme une position en octet.

        size=nombre
            Indiquer la taille de partition en secteurs. Le nombre peut être suivi des suffixes multiplicateurs (KiB, MiB, GiB, TiB, PiB, EiB, ZiB et YiB), dans ce cas il est interprété comme une taille en octet, puis la taille est alignée conformément aux limites d’entrée et sortie du périphérique.

        bootable
            Marquer la partition comme amorçable.

        attrs=chaîne
            Attributs de partition, souvent des bits d’attribut de partition GPT. Consultez --part-attrs pour plus de précisions sur le format des chaînes de bits GPT.

        uuid=chaîne
            UUID de partition GPT.

        name=chaîne
            Nom de partition GPT.

        type=code
            Un nombre hexadécimal (sans préfixe « 0x ») pour une partition MBR ou un GUID pour une partition GPT. Pour la compatibilité ascendante, le champ Id= a la même signification.

SAUVEGARDER LA TABLE DE PARTITIONS
Sauvegarder la disposition des périphériques est conseillé. sfdisk permet de le faire de deux façons.

Utiliser l’option --dump pour sauvegarder une description de la disposition dans un fichier texte. Le format de la sauvegarde peut ensuite être utilisé en entrée de sfdisk. Par exemple :

    sfdisk --dump /dev/sda > sda.dump

Cela peut ensuite être restauré par :

    sfdisk /dev/sda < sda.dump

Pour une sauvegarde (binaire) complète de tous les secteurs où la table de partitions est gardée, utilisez l’option --backup. Cela écrit les secteurs dans les fichiers ~/sfdisk-périphérique-position.bak. Le nom par défaut du fichier de sauvegarde peut être modifié avec l’option --backup-file. Les fichiers de sauvegarde ne contiennent que les données brutes du périphérique. Remarquez que le même concept de fichiers de sauvegarde est utilisé par wipefs(8). Par exemple :

    sfdisk --backup /dev/sda

L’en-tête GPT peut ensuite être restauré par :

    dd if=~/sfdisk-sda-0x00000200.bak of=/dev/sda seek=$((0x00000200)) bs=1 conv=notrunc

Remarquez que sfdisk depuis la version 2.26 ne fournit plus l’option -I pour restaurer les secteurs. dd(1) fournit toutes les fonctionnalités nécessaires.

COULEURS
La coloration implicite peut être désactivée par un fichier /etc/terminal-colors.d/sfdisk.disable vide.

Consultez terminal-colors.d(5) pour plus de précisions sur la configuration de coloration. Les noms de couleurs logiques pris en charge par sfdisk sont les suivantes.

header
    L’en-tête des tables en sortie.

warn
    Les messages d'avertissement.

welcome
    Le message de bienvenue.

NOTES
Depuis la version 2.26, sfdisk ne fournit plus l’option -R ou --re-read pour forcer le noyau à relire la table de partitions. Utilisez plutôt blockdev --rereadpt.

Depuis la version 2.26, sfdisk ne fournit plus les options --DOS, --IBM, --DOS-extended, --unhide, --show-extended, --cylinders, --heads, --sectors, --inside-outer ni --not-inside-outer.

ENVIRONNEMENT

SFDISK_DEBUG=all
    Activer la sortie de débogage de sfdisk.

LIBFDISK_DEBUG=all
    Activer la sortie de débogage de libfdisk.

LIBBLKID_DEBUG=all
    Activer la sortie de débogage de libblkid.

LIBSMARTCOLS_DEBUG=all
    Activer la sortie de débogage de libsmartcols.

VOIR AUSSI
cfdisk(8), fdisk(8), parted(8), partprobe(8), partx(8)

AUTEUR
Karel Zak <kzak@redhat.com>

L’implémentation actuelle de sfdisk est basée sur le sfdisk d’origine d’Andries E. Brouwer.

DISPONIBILITÉ
La commande sfdisk fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Frédéric Delanoy en 2000. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.